@mixin respond-to($media) {
  @if $media == mobile {
    @media only screen and (max-width: 668px) {
      @content;
    }
  } @else if $media == tablet {
    @media only screen and (min-width: 668px) and (max-width: 1024px) {
      @content;
    }
  } @else if $media == desktop {
    @media only screen and (min-width: 1024px) {
      @content;
    }
  }
}

@mixin font-face-ttf($name, $file) {
  @font-face {
    font-family: '#{$name}';
    src: url('../assets/font/#{$file}.ttf') format('truetype');
  }
}

@mixin font-face-otf($name, $file) {
  @font-face {
    font-family: '#{$name}';
    src: url('../assets/font/#{$file}.otf') format('opentype');
  }
}
